# Class TelemetryClientFactory

java.lang.Object
com.databricks.jdbc.telemetry.TelemetryClientFactory

public class TelemetryClientFactory extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`closeTelemetryClient(IDatabricksConnectionContext connectionContext)`
`static TelemetryClientFactory`
`getInstance()`
`ITelemetryClient`
`getTelemetryClient(IDatabricksConnectionContext connectionContext)`
`ExecutorService`
`getTelemetryExecutorService()`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static TelemetryClientFactory getInstance()

### getTelemetryClient

public ITelemetryClient getTelemetryClient(IDatabricksConnectionContext connectionContext)

### closeTelemetryClient

public void closeTelemetryClient(IDatabricksConnectionContext connectionContext)

### getTelemetryExecutorService

public ExecutorService getTelemetryExecutorService()

### reset

public void reset()